import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { HttpClientModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { MomentModule } from 'ngx-moment';
import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { EventingCommonModule } from './common/eventing-common.module';
import { LoginComponent } from './login/login.component';
import { EventDetailsComponent } from './overview/pages/event-details/event-details.component';
import { EventsListComponent } from './overview/pages/events-list/events-list.component';
import { ProfileComponent } from './overview/pages/profile/profile.component';

@NgModule({
  declarations: [
    AppComponent,
    EventsListComponent,
    LoginComponent,
    EventDetailsComponent,
    ProfileComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    EventingCommonModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    MomentModule,
    RouterModule
  ],
  providers: [],
  bootstrap: [
    AppComponent
  ]
})
export class AppModule { }
