import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { Event } from '../models/Event';
import { Utility } from '../utility/Utility';
import { AuthService } from './auth.service';

/**
 * Temporary caching service
 * Currently unused
 */
@Injectable({
  providedIn: 'root'
})
export class HttpRequestCachingService {
  cache: Map<string, Observable<any>> = new Map();

  isRequestRunning = false;

  constructor(
    private authService: AuthService,
  ) {
    this.authService.hasToken.subscribe(() => {
      this.runCache();
    });
  }

  runCache() {
    this.cache.forEach((req: Observable<any>, key: string) => {
      req.subscribe(() => {
        if (!Utility.isObjectEmpty) {
          this.cache.delete(key);
        }
      });
    });
  }

  addToCache(request: Observable<any>, event: Event) {
    this.cache.set(event.id, request);
  }
}
