import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs';
import { Event } from 'src/app/common/models/Event';
import { EventsService } from 'src/app/common/services/events.service';

/**
 * Resolver to events
 */
@Injectable({ providedIn: 'root' })
export class EventResolver implements Resolve<Observable<any>> {
  /**
   * Constructor
   */
  constructor(private eventsService: EventsService) { }

  /**
   * Loads the event
   */
  resolve(activatedRouteSnapshot: ActivatedRouteSnapshot): Observable<Event> {
    return this.eventsService.getEvent(activatedRouteSnapshot.params.uuid);
  }
}
